Skip to content

Get Samba global configuration

GET
/samba/config
curl --request GET \
--url https://sylve.lan:8181/api/samba/config \
--header 'Authorization: <Authorization>'

Retrieve the Samba global configuration settings

Success

Media typeapplication/json
object
data
object
advertiseMdns
boolean
appleExtensions
boolean
bindInterfacesOnly
boolean
extraGlobalConfig
string
id
integer
interfaces
string
serverString
string
unixCharset
string
workgroup
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"advertiseMdns": true,
"appleExtensions": true,
"bindInterfacesOnly": true,
"extraGlobalConfig": "example",
"id": 1,
"interfaces": "example",
"serverString": "example",
"unixCharset": "example",
"workgroup": "example"
},
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}